Bugzilla will be upgraded to version 5.0. The upgrade date is tentatively scheduled for 2 December 2018, pending final testing and feedback.
Bug 591632 - fix --update issue in F12
fix --update issue in F12
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: createrepo (Show other bugs)
12
All Linux
low Severity medium
: ---
: ---
Assigned To: Luke Macken
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-12 13:58 EDT by Daniel Mach
Modified: 2016-09-19 22:40 EDT (History)
3 users (show)

See Also:
Fixed In Version: createrepo-0.9.8-4.fc12
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-05-15 16:37:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Daniel Mach 2010-05-12 13:58:50 EDT
Following issue is not fixed in F12:

* Thu Jan  7 2010 Seth Vidal <skvidal at fedoraproject.org> - 0.9.8-4
- latest head with fixes for --update w/o --skipstat

Could you fix it there too?
Comment 1 seth vidal 2010-05-12 14:13:00 EDT
I can back port the --skip-stat/--update patch, sure.

But only if you test the pkg for me.
Comment 2 Daniel Mach 2010-05-12 14:21:06 EDT
Sure. What exactly you want me to test?
As far I can tell, converting st_mtime to int works in current F12 package so this only change should fix the problem. Do you want to back port whole createrepo-head.patch from F13 or just this fix?
Comment 3 seth vidal 2010-05-12 14:33:37 EDT
the distance between f12 and f13 is just 3 patches:



commit 0bf9a7f48786810515d4b530b91cb2bbd01a391c
Author: Dennis Gregorovic <dgregor@redhat.com>
Date:   Thu Jan 7 11:50:37 2010 -0500

    Fixed, convert stat mtime to int so comparison can work, --update, BZ 553030

commit c3b157d0ccc2a4c8971c64ec6f9fb4ea3a9c17c5
Author: Dennis Gregorovic <dgregor@redhat.com>
Date:   Thu Jan 7 00:11:14 2010 -0500

    Convert stat mtime to int so comparison can work, --update, BZ 553030

commit 044f521cadd42df029cfd75070defe699fe7f432
Author: Dennis Gregorovic <dgregor@redhat.com>
Date:   Wed Jan 6 15:26:58 2010 -0500

    Change baseurl of "old" packages on update, when baseurl specified



so I might just bring them all back.
it's easy.
Comment 4 seth vidal 2010-05-12 14:39:36 EDT
here you go:

http://koji.fedoraproject.org/koji/taskinfo?taskID=2183439
Comment 5 Daniel Mach 2010-05-12 14:56:43 EDT
I have successfully verified the fix:

$ rpm -q createrepo
createrepo-0.9.8-4.fc12.noarch

$ createrepo .; createrepo --verbose --update .
second run with --update is significantly faster and also prints correct messages:
Using data from old metadata for ...
(was: Modification time changed for ...)
Comment 6 Fedora Update System 2010-05-13 11:21:46 EDT
createrepo-0.9.8-4.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/createrepo-0.9.8-4.fc12
Comment 7 Fedora Update System 2010-05-15 16:37:52 EDT
createrepo-0.9.8-4.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.